Skip to main content
GET
/
v1
/
raw
/
instagram
/
profile
/
{username}
cURL
curl --request GET \
  --url https://api.influship.com/v1/raw/instagram/profile/{username} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "username": "<string>",
    "user_id": "<string>",
    "full_name": "<string>",
    "biography": "<string>",
    "follower_count": 123,
    "following_count": 123,
    "media_count": 123,
    "is_verified": true,
    "is_private": true,
    "is_business": true,
    "is_professional": true,
    "profile_pic_url": "<string>",
    "external_url": "<string>",
    "bio_links": [
      {
        "title": "<string>",
        "url": "<string>",
        "link_type": "<string>"
      }
    ],
    "pronouns": [
      "<string>"
    ],
    "category_name": "<string>",
    "highlight_reel_count": 123,
    "engagement_rate": 123,
    "posts": [
      {
        "id": "<string>",
        "shortcode": "<string>",
        "display_url": "<string>",
        "is_video": true,
        "like_count": 123,
        "comment_count": 123,
        "caption": "<string>",
        "taken_at": 123,
        "owner_username": "<string>",
        "accessibility_caption": "<string>",
        "video_url": "<string>",
        "thumbnail_url": "<string>",
        "view_count": 123,
        "carousel_items": [
          {
            "index": 123,
            "display_url": "<string>",
            "is_video": true,
            "video_url": "<string>",
            "thumbnail_url": "<string>"
          }
        ],
        "coauthor_usernames": [
          "<string>"
        ],
        "is_paid_partnership": true,
        "sponsor_usernames": [
          "<string>"
        ],
        "tagged_usernames": [
          "<string>"
        ],
        "product_mentions": [
          {
            "product_id": "<string>",
            "product_name": "<string>",
            "merchant_username": "<string>"
          }
        ],
        "display_resources": [
          {
            "src": "<string>",
            "config_width": 123,
            "config_height": 123
          }
        ],
        "video_versions": [
          {
            "url": "<string>",
            "id": "<string>",
            "type": 123,
            "width": 123,
            "height": 123
          }
        ],
        "music_attribution": {
          "artist_name": "<string>",
          "song_name": "<string>",
          "audio_id": "<string>",
          "uses_original_audio": true,
          "should_mute_audio": true
        },
        "location": {
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "has_public_page": true,
          "lat": 123,
          "lng": 123,
          "address_json": {}
        },
        "is_pinned": true,
        "engagement_visibility": {
          "viewer_can_reshare": true,
          "comments_disabled": true,
          "like_and_view_counts_disabled": true
        }
      }
    ],
    "related_profiles": [
      {
        "username": "<string>",
        "full_name": "<string>",
        "profile_pic_url": "<string>",
        "is_verified": true,
        "is_private": true
      }
    ],
    "scraped_at": "2023-11-07T05:31:56Z",
    "profile_pic_url_hd": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.influship.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

username
string
required

Username on the platform

Required string length: 1 - 50
Example:

"fitness_coach_jane"

Query Parameters

include_posts
boolean

Include recent posts in response

Example:

true

post_limit
integer
default:12

Number of posts to include

Required range: 1 <= x <= 50
Example:

12

Response

Successful response

data
object
required